# Cancellations Cancellations ## Initiates workflow to warm up inventory transactions - [POST /cancellations/warmUpStepFunctions](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellations/warmupstepfunctions.md) ## Processes a cancellation - [POST /cancellations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellations/processcancellation.md): This method will auto-generate an ID and create a new cancellation. If an ID is specified for the cancellation, an error will be thrown. ## Execute Batch Operations - [POST /cancellations/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellations/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified order_id - [GET /cancellations/{tenantId}/order/{order_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellations/listcancellationsbyorderid.md): Returns a list of records with the specified order_id ## Sends out a preview of the CRC notification email - [POST /cancellations/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellations/previewemail.md): Sends out a preview of the CRC notification email ## Processes a cancellation - [POST /cancellations/{tenantId}/sync](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellations/processcancellationsync.md): This method will auto-generate an ID and create a new cancellation. If an ID is specified for the cancellation, an error will be thrown. ## Returns a cancellation from the system by its ID. - [DELETE /cancellations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellations/deletecancellation.md): This method will delete a cancellation with the specified ID. ## Returns a cancellation from the system by its ID. - [GET /cancellations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellations/getcancellation.md): This method will look up a cancellation by the specified ID and return it back. ## Partially updates a cancellation with the specified ID. - [PATCH /cancellations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellations/patchcancellation.md): This method will patch an existing cancellation with the specified ID, using the HTTP PATCH specification. ## Updates a cancellation with the specified ID. - [PUT /cancellations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellations/updatecancellation.md): This method will update an existing cancellation with the specified ID.